using System;

public class Program
{
	public static void Main()
	{
		string t=Console.ReadLine();
		int l=0;
		int l1=0;
		int r=0;
		int r1=0;
		int br=0;
		if(t.Length==1)
		{
			Console.WriteLine("1");
		}
		else
		{
			for(int i=1;i<t.Length-1;i++)
			{
			 for(int j=0; j<(i-l);j++)
			 {
				 if(t[i+j]==t[i-j-1])
				 {
					 r1++;
				 }
				 if(i+j==t.Length-1) 
				 {
					 break;
				 }
			 }
				if(r1>r)
				{
					r=r1;
					l1=i;
				}
				else if(r1<r)
				{
					br+=r;
					r=0;
					l=l1;
				}
				r1=0;
			}
		}
		br+=r;
		Console.WriteLine(br);
	}
}